commit:     6f17acd8d7e1235cdf3590df00889e0399b72a9a
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Mon Mar 28 14:44:16 2016 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Mon Mar 28 14:44:39 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6f17acd8

sci-physics/herwig++: Dep on >=sys-devel/boost-m4-0.4_p20160328 for modern boost

Gentoo-Bug: 570458

Package-Manager: portage-2.2.28

 sci-physics/herwig++/herwig++-2.7.1-r1.ebuild | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/sci-physics/herwig++/herwig++-2.7.1-r1.ebuild 
b/sci-physics/herwig++/herwig++-2.7.1-r1.ebuild
index 9777789..1e8d799 100644
--- a/sci-physics/herwig++/herwig++-2.7.1-r1.ebuild
+++ b/sci-physics/herwig++/herwig++-2.7.1-r1.ebuild
@@ -28,12 +28,15 @@ RDEPEND="
        <=sci-physics/looptools-2.8:0=
        ~sci-physics/thepeg-1.9.2:0=
        fastjet? ( sci-physics/fastjet:0= )"
-DEPEND="${RDEPEND}"
+DEPEND="${RDEPEND}
+       >=sys-devel/boost-m4-0.4_p20160328"
 
 S="${WORKDIR}/${MYP}"
 
 src_prepare() {
        epatch "${FILESDIR}"/${PN}-2.6.3-looptools.patch
+       # fixes bug 570458, which is due to an outdated bundled boost.m4
+       rm m4/boost.m4 || die
        find -name 'Makefile.am' -exec \
                sed -i -e '1ipkgdatadir=$(datadir)/herwig++' {} \; || die
        autotools-utils_src_prepare

Reply via email to